<?php

/**
 * @file
 * Provides Drush commands to export contents in markdown format
 */


/**
 * Implements hook_drush_command().
 */
function markdown_exporter_drush_command()
{

    $commands['markdown-export'] = array(
    'description' => 'This is to export content in markdown format',
    'aliases' => array('mde'),
    'arguments' => array(
      'ctype' => 'Name of the content type to be exported'
    ),
    'examples' => array(
       'drush mde' => 'Generates markdown files for node across all content types'
     ),
    );
    return $commands;
}

/**
 * Drush command logic.
 */
function drush_markdown_exporter_markdown_export()
{
  
  // to include the inc file with content_export_in_markdown() function
    module_load_include('inc', 'markdown_exporter', 'markdown_exporter');
  
    $args = func_get_args(); // argument supplied with drush command
    $content_types = array_keys(node_type_get_names());
    $ntypes_to_be_exported = array();
    if (!empty($args)) {
        foreach ($args as $ntype) {
            if (in_array($ntype, $content_types)) {
                $ntypes_to_be_exported[] = $ntype;
            }
        }
        if (empty($ntypes_to_be_exported)) { // if none of the content types are valid
            drupal_set_message('Invalid argument supplied with the Drush command!');
            return;
        }
    } else {
        $ntypes_to_be_exported = $content_types;
    }
    content_export_in_markdown($ntypes_to_be_exported, 'cli');
}
